RIO_CHK_DEV_ROUTE(9)

NAME
rio_chk_dev_route - Validate route to the specified device.

SYNOPSIS

int rio_chk_dev_route(struct rio_dev * rdev, struct rio_dev ** nrdev, int * npnum);

ARGUMENTS

rdev
    RIO device failed to respond

nrdev
    Last active device on the route to rdev

npnum
    nrdev's port number on the route to rdev

DESCRIPTION

Follows a route to the specified RIO device to determine the last available device (and corresponding RIO port) on the route.

AUTHOR

Matt Porter <mporter@kernel.crashing.org>, <mporter@mvista.com>
    Author.

COPYRIGHT